com::lomiri::location::service::Skeleton::ObjectPathGenerator Struct Reference

`#include <skeleton.h>`

Collaboration diagram for com::lomiri::location::service::Skeleton::ObjectPathGenerator:

## Public Types

typedef std::shared_ptr< ObjectPathGenerator > | Ptr

## Public Member Functions

| ObjectPathGenerator ()=default
virtual | ~ObjectPathGenerator ()=default
virtual core::dbus::types::ObjectPath | object_path_for_caller_credentials (const Credentials &credentials)

## Detailed Description

Definition at line 92 of file service/skeleton.h.

## Member Typedef Documentation

## Ptr

typedef std::shared_ptr<ObjectPathGenerator> com::lomiri::location::service::Skeleton::ObjectPathGenerator::Ptr

Definition at line 94 of file service/skeleton.h.

## Constructor & Destructor Documentation

## ObjectPathGenerator()

com::lomiri::location::service::Skeleton::ObjectPathGenerator::ObjectPathGenerator | ( |  | ) |

default

## ~ObjectPathGenerator()

virtual com::lomiri::location::service::Skeleton::ObjectPathGenerator::~ObjectPathGenerator | ( |  | ) |

virtual default

## Member Function Documentation

## object_path_for_caller_credentials()

virtual core::dbus::types::ObjectPath com::lomiri::location::service::Skeleton::ObjectPathGenerator::object_path_for_caller_credentials | ( | const Credentials & | credentials | ) |

virtual

The documentation for this struct was generated from the following file:

- service/skeleton.h